Bug 1329369 - [RH Ceph 2.0] ceph-fs-common not shipped in Ubuntu
Summary: [RH Ceph 2.0] ceph-fs-common not shipped in Ubuntu
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Build
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.0
Assignee: Ken Dreyer (Red Hat)
QA Contact: Vasu Kulkarni
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-21 18:37 UTC by Vasu Kulkarni
Modified: 2016-08-23 19:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 19:36:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1333926 unspecified CLOSED RFE: ship CephFS Java packages 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHBA-2016:1755 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Internal Links: 1333926

Description Vasu Kulkarni 2016-04-21 18:37:32 UTC
Description of problem:

I see the following packages are not shipped, I also see the cephfs-java test failure is actually due to libcephfs-java not available

http://magna002.ceph.redhat.com/vasu-2016-04-20_19:05:15-fs-jewel---basic-clara/228942/teuthology.log

2016-04-21T00:08:33.248 INFO:teuthology.orchestra.run.clara014.stdout:  Size: 0         	Blocks: 1          IO Block: 4194304 directory
2016-04-21T00:08:33.249 INFO:teuthology.orchestra.run.clara014.stdout:Device: 2dh/45d	Inode: 1           Links: 1
2016-04-21T00:08:33.250 INFO:teuthology.orchestra.run.clara014.stdout:Access: (1777/drwxrwxrwt)  Uid: (    0/    root)   Gid: (    0/    root)
2016-04-21T00:08:33.251 INFO:teuthology.orchestra.run.clara014.stdout:Context: system_u:object_r:fusefs_t:s0
2016-04-21T00:08:33.251 INFO:teuthology.orchestra.run.clara014.stdout:Access: 1970-01-01 00:00:00.000000000 +0000
2016-04-21T00:08:33.252 INFO:teuthology.orchestra.run.clara014.stdout:Modify: 2016-04-21 04:08:26.435372737 +0000
2016-04-21T00:08:33.253 INFO:teuthology.orchestra.run.clara014.stdout:Change: 2016-04-21 04:08:33.090698044 +0000
2016-04-21T00:08:33.254 INFO:teuthology.orchestra.run.clara014.stdout: Birth: -
2016-04-21T00:08:33.255 INFO:tasks.workunit:Did not need to create dir /home/ubuntu/cephtest/mnt.0
2016-04-21T00:08:33.256 INFO:teuthology.orchestra.run.clara014:Running: 'cd -- /home/ubuntu/cephtest/mnt.0 && sudo install -d -m 0755 --owner=ubuntu -- client.0'
2016-04-21T00:08:33.338 INFO:teuthology.orchestra.run.clara014:Running: 'mkdir -- /home/ubuntu/cephtest/workunit.client.0 && git archive --remote=git://git.ceph.com/ceph.git jewel:qa/workunits | tar -C /home/ubuntu/cephtest/workunit.client.0 -x -f-'
2016-04-21T00:08:33.892 INFO:teuthology.orchestra.run.clara014:Running: "cd -- /home/ubuntu/cephtest/workunit.client.0 && if test -e Makefile ; then make ; fi && find -executable -type f -printf '%P\\0' >/home/ubuntu/cephtest/workunits.list.client.0"
2016-04-21T00:08:33.957 INFO:tasks.workunit.client.0.clara014.stdout:for d in direct_io fs ; do ( cd $d ; make all ) ; done
2016-04-21T00:08:34.298 INFO:tasks.workunit.client.0.clara014.stdout:make[1]: Entering directory `/home/ubuntu/cephtest/workunit.client.0/direct_io'
2016-04-21T00:08:34.304 INFO:tasks.workunit.client.0.clara014.stdout:cc -Wall -Wextra -D_GNU_SOURCE direct_io_test.c -o direct_io_test
2016-04-21T00:08:34.308 INFO:tasks.workunit.client.0.clara014.stdout:cc -Wall -Wextra -D_GNU_SOURCE test_sync_io.c -o test_sync_io
2016-04-21T00:08:34.349 INFO:tasks.workunit.client.0.clara014.stdout:cc -Wall -Wextra -D_GNU_SOURCE test_short_dio_read.c -o test_short_dio_read
2016-04-21T00:08:34.350 INFO:tasks.workunit.client.0.clara014.stdout:make[1]: Leaving directory `/home/ubuntu/cephtest/workunit.client.0/direct_io'
2016-04-21T00:08:34.351 INFO:tasks.workunit.client.0.clara014.stdout:make[1]: Entering directory `/home/ubuntu/cephtest/workunit.client.0/fs'
2016-04-21T00:08:34.352 INFO:tasks.workunit.client.0.clara014.stdout:cc -Wall -Wextra -D_GNU_SOURCE test_o_trunc.c -o test_o_trunc
2016-04-21T00:08:34.353 INFO:tasks.workunit.client.0.clara014.stdout:make[1]: Leaving directory `/home/ubuntu/cephtest/workunit.client.0/fs'
2016-04-21T00:08:34.424 INFO:tasks.workunit:Running workunits matching libcephfs-java/test.sh on client.0...
2016-04-21T00:08:34.447 INFO:tasks.workunit:Running workunit libcephfs-java/test.sh...
2016-04-21T00:08:34.448 INFO:teuthology.orchestra.run.clara014:Running (workunit test libcephfs-java/test.sh): 'mkdir -p -- /home/ubuntu/cephtest/mnt.0/client.0/tmp && cd -- /home/ubuntu/cephtest/mnt.0/client.0/tmp && CEPH_CLI_TEST_DUP_COMMAND=1 CEPH_REF=jewel TESTDIR="/home/ubuntu/cephtest" CEPH_ID="0" PATH=$PATH:/usr/sbin adjust-ulimits ceph-coverage /home/ubuntu/cephtest/archive/coverage timeout 3h /home/ubuntu/cephtest/workunit.client.0/libcephfs-java/test.sh'
2016-04-21T00:08:34.565 INFO:tasks.workunit.client.0.clara014.stdout:starting libcephfs-java tests
2016-04-21T00:08:34.584 INFO:tasks.workunit.client.0.clara014.stdout:Setting conf to /etc/ceph/ceph.conf
2016-04-21T00:08:34.585 INFO:tasks.workunit.client.0.clara014.stdout:Setting ld_lib_path to /usr/lib/jni:/usr/lib64
2016-04-21T00:08:34.586 INFO:tasks.workunit.client.0.clara014.stdout:Setting ceph_java to /usr/share/java
2016-04-21T00:08:34.587 INFO:tasks.workunit.client.0.clara014.stdout:----------------------
2016-04-21T00:08:34.588 INFO:tasks.workunit.client.0.clara014.stdout:java -DCEPH_CONF_FILE=/etc/ceph/ceph.conf -Djava.library.path=/usr/lib/jni:/usr/lib64 -cp /usr/share/java/junit4.jar:/usr/share/java/libcephfs.jar:/usr/share/java/libcephfs-test.jar org.junit.runner.JUnitCore com.ceph.fs.CephAllTests
2016-04-21T00:08:34.588 INFO:tasks.workunit.client.0.clara014.stdout:----------------------
2016-04-21T00:08:34.722 INFO:tasks.workunit.client.0.clara014.stdout:JUnit version 4.11
2016-04-21T00:08:34.724 INFO:tasks.workunit.client.0.clara014.stdout:Could not find class: com.ceph.fs.CephAllTests

Comment 11 Vasu Kulkarni 2016-07-08 18:02:44 UTC
Verified:   ceph-fs-common (10.2.2-13redhat1trusty

Comment 13 errata-xmlrpc 2016-08-23 19:36:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1755.html


Note You need to log in before you can comment on or make changes to this bug.